.btn-secondary {
  color: #fff;
  background-color: #8592a3;
  border-color: #8592a3;
  box-shadow: 0 0.125rem 0.25rem #8592a366;
}

.btn-secondary:hover {
  color: #fff !important;
  background-color: #788393 !important;
  border-color: #788393 !important;
}

.btn-check:focus + .btn-secondary,
.btn-secondary:focus,
.btn-secondary.focus {
  color: #fff;
  background-color: #788393;
  border-color: #788393;
}

.btn-check:checked + .btn-secondary,
.btn-check:active + .btn-secondary,
.btn-secondary:active,
.btn-secondary.active,
.btn-secondary.show.dropdown-toggle,
.show > .btn-secondary.dropdown-toggle {
  color: #fff !important;
  background-color: #788393 !important;
  border-color: #788393 !important;
}

.btn-secondary.disabled,
.btn-secondary:disabled {
  color: #fff !important;
  background-color: #8592a3 !important;
  border-color: #8592a3 !important;
}

.btn-group .btn-secondary,
.input-group .btn-secondary {
  border-right: var(--bs-border-width) solid #788393;
  border-left: var(--bs-border-width) solid #788393;
}

.btn-group-vertical .btn-secondary {
  border-top-color: #788393;
  border-bottom-color: #788393;
}

.btn-label-secondary {
  color: #8592a3 !important;
  border-color: transparent;
  background: #ebeef0;
}

.btn-label-secondary:hover {
  border-color: transparent !important;
  background: #788393 !important;
  color: #fff !important;
  box-shadow: 0 0.125rem 0.25rem #8592a366 !important;
}

.btn-label-secondary:focus,
.btn-label-secondary.focus {
  color: #fff !important;
  background: #788393;
}

.btn-label-secondary:active,
.btn-label-secondary.active,
.btn-label-secondary.show.dropdown-toggle,
.show > .btn-label-secondary.dropdown-toggle {
  color: #fff !important;
  background-color: #788393 !important;
  border-color: transparent !important;
}

.btn-label-secondary.disabled,
.btn-label-secondary:disabled {
  color: #8592a3 !important;
  border-color: transparent !important;
  background: #ebeef0 !important;
}

.btn-group .btn-label-secondary,
.input-group .btn-label-secondary {
  border-right: var(--bs-border-width) solid #d8dce2 !important;
  border-left: var(--bs-border-width) solid #d8dce2 !important;
}

.btn-group-vertical .btn-label-secondary {
  border-top: var(--bs-border-width) solid #d8dce2 !important;
  border-bottom: var(--bs-border-width) solid #d8dce2 !important;
}

.btn-outline-secondary {
  color: #8592a3;
  border-color: #8592a3;
  background: transparent;
}

.btn-outline-secondary:hover {
  color: #fff !important;
  background-color: #788393 !important;
  border-color: #788393 !important;
  box-shadow: 0 0.125rem 0.25rem #8592a366 !important;
}

.btn-check:focus + .btn-outline-secondary,
.btn-outline-secondary:focus {
  color: #fff;
  background-color: #788393;
  border-color: #788393;
}

.btn-check:checked + .btn-outline-secondary,
.btn-check:active + .btn-outline-secondary,
.btn-outline-secondary:active,
.btn-outline-secondary.active,
.btn-outline-secondary.dropdown-toggle.show {
  color: #fff !important;
  background-color: #788393 !important;
  border-color: #788393 !important;
}

.btn-outline-secondary.disabled,
.btn-outline-secondary:disabled {
  color: #8592a3 !important;
  border-color: #8592a3 !important;
}

.btn-outline-secondary .badge {
  background: #8592a3;
  border-color: #8592a3;
  color: #fff;
}

.btn-outline-secondary:hover .badge,
.btn-outline-secondary:focus:hover .badge,
.btn-outline-secondary:active .badge,
.btn-outline-secondary.active .badge,
.show > .btn-outline-secondary.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
}

.btn-text-secondary {
  color: #646e78;
}

.btn-text-secondary:hover {
  background: #f3f3f4;
  color: #646e78;
}

.btn-text-secondary:focus,
.btn-text-secondary.focus {
  color: #646e78;
  background: #f3f3f4;
}

.btn-text-secondary:active,
.btn-text-secondary.active,
.btn-text-secondary-check:checked + .btn-text-secondary,
:not(.btn-text-secondary-check) + .btn-text-secondary:active,
.btn-text-secondary:first-child:active,
.btn-text-secondary.show.dropdown-toggle,
.show > .btn-text-secondary.dropdown-toggle {
  color: #646e78;
  background: #f3f3f4 !important;
}

.btn-text-secondary:disabled,
.btn-text-secondary.disabled {
  color: #646e78;
}

.btn-group .btn-text-secondary,
.input-group .btn-text-secondary {
  border-right: var(--bs-border-width) solid #646e78 !important;
  border-left: var(--bs-border-width) solid #646e78 !important;
}

.btn-group-vertical .btn-text-secondary {
  border-top: var(--bs-border-width) solid #646e78 !important;
  border-bottom: var(--bs-border-width) solid #646e78 !important;
}

.btn-success {
  color: #fff;
  background-color: #71dd37;
  border-color: #71dd37;
  box-shadow: 0 0.125rem 0.25rem #71dd3766;
}

.btn-success:hover {
  color: #fff !important;
  background-color: #66c732 !important;
  border-color: #66c732 !important;
}

.btn-check:focus + .btn-success,
.btn-success:focus,
.btn-success.focus {
  color: #fff;
  background-color: #66c732;
  border-color: #66c732;
}

.btn-check:checked + .btn-success,
.btn-check:active + .btn-success,
.btn-success:active,
.btn-success.active,
.btn-success.show.dropdown-toggle,
.show > .btn-success.dropdown-toggle {
  color: #fff !important;
  background-color: #66c732 !important;
  border-color: #66c732 !important;
}

.btn-success.disabled,
.btn-success:disabled {
  color: #fff !important;
  background-color: #71dd37 !important;
  border-color: #71dd37 !important;
}

.btn-group .btn-success,
.input-group .btn-success {
  border-right: var(--bs-border-width) solid #66c732;
  border-left: var(--bs-border-width) solid #66c732;
}

.btn-group-vertical .btn-success {
  border-top-color: #66c732;
  border-bottom-color: #66c732;
}

.btn-label-success {
  color: #71dd37 !important;
  border-color: transparent;
  background: #e8fadf;
}

.btn-label-success:hover {
  border-color: transparent !important;
  background: #66c732 !important;
  color: #fff !important;
  box-shadow: 0 0.125rem 0.25rem #71dd3766 !important;
}

.btn-label-success:focus,
.btn-label-success.focus {
  color: #fff !important;
  background: #66c732;
}

.btn-label-success:active,
.btn-label-success.active,
.btn-label-success.show.dropdown-toggle,
.show > .btn-label-success.dropdown-toggle {
  color: #fff !important;
  background-color: #66c732 !important;
  border-color: transparent !important;
}

.btn-label-success.disabled,
.btn-label-success:disabled {
  color: #71dd37 !important;
  border-color: transparent !important;
  background: #e8fadf !important;
}

.btn-group .btn-label-success,
.input-group .btn-label-success {
  border-right: var(--bs-border-width) solid #d2f4bf !important;
  border-left: var(--bs-border-width) solid #d2f4bf !important;
}

.btn-group-vertical .btn-label-success {
  border-top: var(--bs-border-width) solid #d2f4bf !important;
  border-bottom: var(--bs-border-width) solid #d2f4bf !important;
}

.btn-outline-success {
  color: #71dd37;
  border-color: #71dd37;
  background: transparent;
}

.btn-outline-success:hover {
  color: #fff !important;
  background-color: #66c732 !important;
  border-color: #66c732 !important;
  box-shadow: 0 0.125rem 0.25rem #71dd3766 !important;
}

.btn-check:focus + .btn-outline-success,
.btn-outline-success:focus {
  color: #fff;
  background-color: #66c732;
  border-color: #66c732;
}

.btn-check:checked + .btn-outline-success,
.btn-check:active + .btn-outline-success,
.btn-outline-success:active,
.btn-outline-success.active,
.btn-outline-success.dropdown-toggle.show {
  color: #fff !important;
  background-color: #66c732 !important;
  border-color: #66c732 !important;
}

.btn-outline-success.disabled,
.btn-outline-success:disabled {
  color: #71dd37 !important;
  border-color: #71dd37 !important;
}

.btn-outline-success .badge {
  background: #71dd37;
  border-color: #71dd37;
  color: #fff;
}

.btn-outline-success:hover .badge,
.btn-outline-success:focus:hover .badge,
.btn-outline-success:active .badge,
.btn-outline-success.active .badge,
.show > .btn-outline-success.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
}

.btn-text-success {
  color: #71dd37;
}

.btn-text-success:hover {
  background: #f4fcef;
  color: #71dd37;
}

.btn-text-success:focus,
.btn-text-success.focus {
  color: #71dd37;
  background: #f4fcef;
}

.btn-text-success:active,
.btn-text-success.active,
.btn-text-success-check:checked + .btn-text-success,
:not(.btn-text-success-check) + .btn-text-success:active,
.btn-text-success:first-child:active,
.btn-text-success.show.dropdown-toggle,
.show > .btn-text-success.dropdown-toggle {
  color: #71dd37;
  background: #f4fcef !important;
}

.btn-text-success:disabled,
.btn-text-success.disabled {
  color: #71dd37;
}

.btn-group .btn-text-success,
.input-group .btn-text-success {
  border-right: var(--bs-border-width) solid #71dd37 !important;
  border-left: var(--bs-border-width) solid #71dd37 !important;
}

.btn-group-vertical .btn-text-success {
  border-top: var(--bs-border-width) solid #71dd37 !important;
  border-bottom: var(--bs-border-width) solid #71dd37 !important;
}

.btn-info {
  color: #fff;
  background-color: #03c3ec;
  border-color: #03c3ec;
  box-shadow: 0 0.125rem 0.25rem #03c3ec66;
}

.btn-info:hover {
  color: #fff !important;
  background-color: #03b0d4 !important;
  border-color: #03b0d4 !important;
}

.btn-check:focus + .btn-info,
.btn-info:focus,
.btn-info.focus {
  color: #fff;
  background-color: #03b0d4;
  border-color: #03b0d4;
}

.btn-check:checked + .btn-info,
.btn-check:active + .btn-info,
.btn-info:active,
.btn-info.active,
.btn-info.show.dropdown-toggle,
.show > .btn-info.dropdown-toggle {
  color: #fff !important;
  background-color: #03b0d4 !important;
  border-color: #03b0d4 !important;
}

.btn-info.disabled,
.btn-info:disabled {
  color: #fff !important;
  background-color: #03c3ec !important;
  border-color: #03c3ec !important;
}

.btn-group .btn-info,
.input-group .btn-info {
  border-right: var(--bs-border-width) solid #03b0d4;
  border-left: var(--bs-border-width) solid #03b0d4;
}

.btn-group-vertical .btn-info {
  border-top-color: #03b0d4;
  border-bottom-color: #03b0d4;
}

.btn-label-info {
  color: #03c3ec !important;
  border-color: transparent;
  background: #d7f5fc;
}

.btn-label-info:hover {
  border-color: transparent !important;
  background: #03b0d4 !important;
  color: #fff !important;
  box-shadow: 0 0.125rem 0.25rem #03c3ec66 !important;
}

.btn-label-info:focus,
.btn-label-info.focus {
  color: #fff !important;
  background: #03b0d4;
}

.btn-label-info:active,
.btn-label-info.active,
.btn-label-info.show.dropdown-toggle,
.show > .btn-label-info.dropdown-toggle {
  color: #fff !important;
  background-color: #03b0d4 !important;
  border-color: transparent !important;
}

.btn-label-info.disabled,
.btn-label-info:disabled {
  color: #03c3ec !important;
  border-color: transparent !important;
  background: #d7f5fc !important;
}

.btn-group .btn-label-info,
.input-group .btn-label-info {
  border-right: var(--bs-border-width) solid #aeecf9 !important;
  border-left: var(--bs-border-width) solid #aeecf9 !important;
}

.btn-group-vertical .btn-label-info {
  border-top: var(--bs-border-width) solid #aeecf9 !important;
  border-bottom: var(--bs-border-width) solid #aeecf9 !important;
}

.btn-outline-info {
  color: #03c3ec;
  border-color: #03c3ec;
  background: transparent;
}

.btn-outline-info:hover {
  color: #fff !important;
  background-color: #03b0d4 !important;
  border-color: #03b0d4 !important;
  box-shadow: 0 0.125rem 0.25rem #03c3ec66 !important;
}

.btn-check:focus + .btn-outline-info,
.btn-outline-info:focus {
  color: #fff;
  background-color: #03b0d4;
  border-color: #03b0d4;
}

.btn-check:checked + .btn-outline-info,
.btn-check:active + .btn-outline-info,
.btn-outline-info:active,
.btn-outline-info.active,
.btn-outline-info.dropdown-toggle.show {
  color: #fff !important;
  background-color: #03b0d4 !important;
  border-color: #03b0d4 !important;
}

.btn-outline-info.disabled,
.btn-outline-info:disabled {
  color: #03c3ec !important;
  border-color: #03c3ec !important;
}

.btn-outline-info .badge {
  background: #03c3ec;
  border-color: #03c3ec;
  color: #fff;
}

.btn-outline-info:hover .badge,
.btn-outline-info:focus:hover .badge,
.btn-outline-info:active .badge,
.btn-outline-info.active .badge,
.show > .btn-outline-info.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
}

.btn-text-info {
  color: #03c3ec;
}

.btn-text-info:hover {
  background: #ebfafd;
  color: #03c3ec;
}

.btn-text-info:focus,
.btn-text-info.focus {
  color: #03c3ec;
  background: #ebfafd;
}

.btn-text-info:active,
.btn-text-info.active,
.btn-text-info-check:checked + .btn-text-info,
:not(.btn-text-info-check) + .btn-text-info:active,
.btn-text-info:first-child:active,
.btn-text-info.show.dropdown-toggle,
.show > .btn-text-info.dropdown-toggle {
  color: #03c3ec;
  background: #ebfafd !important;
}

.btn-text-info:disabled,
.btn-text-info.disabled {
  color: #03c3ec;
}

.btn-group .btn-text-info,
.input-group .btn-text-info {
  border-right: var(--bs-border-width) solid #03c3ec !important;
  border-left: var(--bs-border-width) solid #03c3ec !important;
}

.btn-group-vertical .btn-text-info {
  border-top: var(--bs-border-width) solid #03c3ec !important;
  border-bottom: var(--bs-border-width) solid #03c3ec !important;
}

.btn-warning {
  color: #fff;
  background-color: #ffab00;
  border-color: #ffab00;
  box-shadow: 0 0.125rem 0.25rem #ffab0066;
}

.btn-warning:hover {
  color: #fff !important;
  background-color: #e69a00 !important;
  border-color: #e69a00 !important;
}

.btn-check:focus + .btn-warning,
.btn-warning:focus,
.btn-warning.focus {
  color: #fff;
  background-color: #e69a00;
  border-color: #e69a00;
}

.btn-check:checked + .btn-warning,
.btn-check:active + .btn-warning,
.btn-warning:active,
.btn-warning.active,
.btn-warning.show.dropdown-toggle,
.show > .btn-warning.dropdown-toggle {
  color: #fff !important;
  background-color: #e69a00 !important;
  border-color: #e69a00 !important;
}

.btn-warning.disabled,
.btn-warning:disabled {
  color: #fff !important;
  background-color: #ffab00 !important;
  border-color: #ffab00 !important;
}

.btn-group .btn-warning,
.input-group .btn-warning {
  border-right: var(--bs-border-width) solid #e69a00;
  border-left: var(--bs-border-width) solid #e69a00;
}

.btn-group-vertical .btn-warning {
  border-top-color: #e69a00;
  border-bottom-color: #e69a00;
}

.btn-label-warning {
  color: #ffab00 !important;
  border-color: transparent;
  background: #fff2d6;
}

.btn-label-warning:hover {
  border-color: transparent !important;
  background: #e69a00 !important;
  color: #fff !important;
  box-shadow: 0 0.125rem 0.25rem #ffab0066 !important;
}

.btn-label-warning:focus,
.btn-label-warning.focus {
  color: #fff !important;
  background: #e69a00;
}

.btn-label-warning:active,
.btn-label-warning.active,
.btn-label-warning.show.dropdown-toggle,
.show > .btn-label-warning.dropdown-toggle {
  color: #fff !important;
  background-color: #e69a00 !important;
  border-color: transparent !important;
}

.btn-label-warning.disabled,
.btn-label-warning:disabled {
  color: #ffab00 !important;
  border-color: transparent !important;
  background: #fff2d6 !important;
}

.btn-group .btn-label-warning,
.input-group .btn-label-warning {
  border-right: var(--bs-border-width) solid #ffe4ad !important;
  border-left: var(--bs-border-width) solid #ffe4ad !important;
}

.btn-group-vertical .btn-label-warning {
  border-top: var(--bs-border-width) solid #ffe4ad !important;
  border-bottom: var(--bs-border-width) solid #ffe4ad !important;
}

.btn-outline-warning {
  color: #ffab00;
  border-color: #ffab00;
  background: transparent;
}

.btn-outline-warning:hover {
  color: #fff !important;
  background-color: #e69a00 !important;
  border-color: #e69a00 !important;
  box-shadow: 0 0.125rem 0.25rem #ffab0066 !important;
}

.btn-check:focus + .btn-outline-warning,
.btn-outline-warning:focus {
  color: #fff;
  background-color: #e69a00;
  border-color: #e69a00;
}

.btn-check:checked + .btn-outline-warning,
.btn-check:active + .btn-outline-warning,
.btn-outline-warning:active,
.btn-outline-warning.active,
.btn-outline-warning.dropdown-toggle.show {
  color: #fff !important;
  background-color: #e69a00 !important;
  border-color: #e69a00 !important;
}

.btn-outline-warning.disabled,
.btn-outline-warning:disabled {
  color: #ffab00 !important;
  border-color: #ffab00 !important;
}

.btn-outline-warning .badge {
  background: #ffab00;
  border-color: #ffab00;
  color: #fff;
}

.btn-outline-warning:hover .badge,
.btn-outline-warning:focus:hover .badge,
.btn-outline-warning:active .badge,
.btn-outline-warning.active .badge,
.show > .btn-outline-warning.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
}

.btn-text-warning {
  color: #ffab00;
}

.btn-text-warning:hover {
  background: #fff8eb;
  color: #ffab00;
}

.btn-text-warning:focus,
.btn-text-warning.focus {
  color: #ffab00;
  background: #fff8eb;
}

.btn-text-warning:active,
.btn-text-warning.active,
.btn-text-warning-check:checked + .btn-text-warning,
:not(.btn-text-warning-check) + .btn-text-warning:active,
.btn-text-warning:first-child:active,
.btn-text-warning.show.dropdown-toggle,
.show > .btn-text-warning.dropdown-toggle {
  color: #ffab00;
  background: #fff8eb !important;
}

.btn-text-warning:disabled,
.btn-text-warning.disabled {
  color: #ffab00;
}

.btn-group .btn-text-warning,
.input-group .btn-text-warning {
  border-right: var(--bs-border-width) solid #ffab00 !important;
  border-left: var(--bs-border-width) solid #ffab00 !important;
}

.btn-group-vertical .btn-text-warning {
  border-top: var(--bs-border-width) solid #ffab00 !important;
  border-bottom: var(--bs-border-width) solid #ffab00 !important;
}

.btn-danger {
  color: #fff;
  background-color: #ff3e1d;
  border-color: #ff3e1d;
  box-shadow: 0 0.125rem 0.25rem #ff3e1d66;
}

.btn-danger:hover {
  color: #fff !important;
  background-color: #e6381a !important;
  border-color: #e6381a !important;
}

.btn-check:focus + .btn-danger,
.btn-danger:focus,
.btn-danger.focus {
  color: #fff;
  background-color: #e6381a;
  border-color: #e6381a;
}

.btn-check:checked + .btn-danger,
.btn-check:active + .btn-danger,
.btn-danger:active,
.btn-danger.active,
.btn-danger.show.dropdown-toggle,
.show > .btn-danger.dropdown-toggle {
  color: #fff !important;
  background-color: #e6381a !important;
  border-color: #e6381a !important;
}

.btn-danger.disabled,
.btn-danger:disabled {
  color: #fff !important;
  background-color: #ff3e1d !important;
  border-color: #ff3e1d !important;
}

.btn-group .btn-danger,
.input-group .btn-danger {
  border-right: var(--bs-border-width) solid #e6381a;
  border-left: var(--bs-border-width) solid #e6381a;
}

.btn-group-vertical .btn-danger {
  border-top-color: #e6381a;
  border-bottom-color: #e6381a;
}

.btn-label-danger {
  color: #ff3e1d !important;
  border-color: transparent;
  background: #ffe0db;
}

.btn-label-danger:hover {
  border-color: transparent !important;
  background: #e6381a !important;
  color: #fff !important;
  box-shadow: 0 0.125rem 0.25rem #ff3e1d66 !important;
}

.btn-label-danger:focus,
.btn-label-danger.focus {
  color: #fff !important;
  background: #e6381a;
}

.btn-label-danger:active,
.btn-label-danger.active,
.btn-label-danger.show.dropdown-toggle,
.show > .btn-label-danger.dropdown-toggle {
  color: #fff !important;
  background-color: #e6381a !important;
  border-color: transparent !important;
}

.btn-label-danger.disabled,
.btn-label-danger:disabled {
  color: #ff3e1d !important;
  border-color: transparent !important;
  background: #ffe0db !important;
}

.btn-group .btn-label-danger,
.input-group .btn-label-danger {
  border-right: var(--bs-border-width) solid #ffc1b7 !important;
  border-left: var(--bs-border-width) solid #ffc1b7 !important;
}

.btn-group-vertical .btn-label-danger {
  border-top: var(--bs-border-width) solid #ffc1b7 !important;
  border-bottom: var(--bs-border-width) solid #ffc1b7 !important;
}

.btn-outline-danger {
  color: #ff3e1d;
  border-color: #ff3e1d;
  background: transparent;
}

.btn-outline-danger:hover {
  color: #fff !important;
  background-color: #e6381a !important;
  border-color: #e6381a !important;
  box-shadow: 0 0.125rem 0.25rem #ff3e1d66 !important;
}

.btn-check:focus + .btn-outline-danger,
.btn-outline-danger:focus {
  color: #fff;
  background-color: #e6381a;
  border-color: #e6381a;
}

.btn-check:checked + .btn-outline-danger,
.btn-check:active + .btn-outline-danger,
.btn-outline-danger:active,
.btn-outline-danger.active,
.btn-outline-danger.dropdown-toggle.show {
  color: #fff !important;
  background-color: #e6381a !important;
  border-color: #e6381a !important;
}

.btn-outline-danger.disabled,
.btn-outline-danger:disabled {
  color: #ff3e1d !important;
  border-color: #ff3e1d !important;
}

.btn-outline-danger .badge {
  background: #ff3e1d;
  border-color: #ff3e1d;
  color: #fff;
}

.btn-outline-danger:hover .badge,
.btn-outline-danger:focus:hover .badge,
.btn-outline-danger:active .badge,
.btn-outline-danger.active .badge,
.show > .btn-outline-danger.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
}

.btn-text-danger {
  color: #ff3e1d;
}

.btn-text-danger:hover {
  background: #fff0ed;
  color: #ff3e1d;
}

.btn-text-danger:focus,
.btn-text-danger.focus {
  color: #ff3e1d;
  background: #fff0ed;
}

.btn-text-danger:active,
.btn-text-danger.active,
.btn-text-danger-check:checked + .btn-text-danger,
:not(.btn-text-danger-check) + .btn-text-danger:active,
.btn-text-danger:first-child:active,
.btn-text-danger.show.dropdown-toggle,
.show > .btn-text-danger.dropdown-toggle {
  color: #ff3e1d;
  background: #fff0ed !important;
}

.btn-text-danger:disabled,
.btn-text-danger.disabled {
  color: #ff3e1d;
}

.btn-group .btn-text-danger,
.input-group .btn-text-danger {
  border-right: var(--bs-border-width) solid #ff3e1d !important;
  border-left: var(--bs-border-width) solid #ff3e1d !important;
}

.btn-group-vertical .btn-text-danger {
  border-top: var(--bs-border-width) solid #ff3e1d !important;
  border-bottom: var(--bs-border-width) solid #ff3e1d !important;
}

.btn-light {
  color: #22303e;
  background-color: #dbdee0;
  border-color: #dbdee0;
  box-shadow: 0 0.125rem 0.25rem #dbdee066;
}

.btn-light:hover {
  color: #22303e !important;
  background-color: #e4e6e8 !important;
  border-color: #dfe1e3 !important;
}

.btn-check:focus + .btn-light,
.btn-light:focus,
.btn-light.focus {
  color: #22303e;
  background-color: #e4e6e8;
  border-color: #dfe1e3;
}

.btn-check:checked + .btn-light,
.btn-check:active + .btn-light,
.btn-light:active,
.btn-light.active,
.btn-light.show.dropdown-toggle,
.show > .btn-light.dropdown-toggle {
  color: #22303e !important;
  background-color: #dfe1e3 !important;
  border-color: #dfe1e3 !important;
}

.btn-light.disabled,
.btn-light:disabled {
  color: #22303e !important;
  background-color: #dbdee0 !important;
  border-color: #dbdee0 !important;
}

.btn-group .btn-light,
.input-group .btn-light {
  border-right: var(--bs-border-width) solid #dfe1e3;
  border-left: var(--bs-border-width) solid #dfe1e3;
}

.btn-group-vertical .btn-light {
  border-top-color: #dfe1e3;
  border-bottom-color: #dfe1e3;
}

.btn-label-light {
  color: #dbdee0 !important;
  border-color: transparent;
  background: #f9fafa;
}

.btn-label-light:hover {
  border-color: transparent !important;
  background: #e4e6e8 !important;
  color: #22303e !important;
  box-shadow: 0 0.125rem 0.25rem #dbdee066 !important;
}

.btn-label-light:focus,
.btn-label-light.focus {
  color: #22303e !important;
  background: #e4e6e8;
}

.btn-label-light:active,
.btn-label-light.active,
.btn-label-light.show.dropdown-toggle,
.show > .btn-label-light.dropdown-toggle {
  color: #22303e !important;
  background-color: #dfe1e3 !important;
  border-color: transparent !important;
}

.btn-label-light.disabled,
.btn-label-light:disabled {
  color: #dbdee0 !important;
  border-color: transparent !important;
  background: #f9fafa !important;
}

.btn-group .btn-label-light,
.input-group .btn-label-light {
  border-right: var(--bs-border-width) solid #f3f4f5 !important;
  border-left: var(--bs-border-width) solid #f3f4f5 !important;
}

.btn-group-vertical .btn-label-light {
  border-top: var(--bs-border-width) solid #f3f4f5 !important;
  border-bottom: var(--bs-border-width) solid #f3f4f5 !important;
}

.btn-outline-light {
  color: #dbdee0;
  border-color: #dbdee0;
  background: transparent;
}

.btn-outline-light:hover {
  color: #22303e !important;
  background-color: #e4e6e8 !important;
  border-color: #e4e6e8 !important;
  box-shadow: 0 0.125rem 0.25rem #dbdee066 !important;
}

.btn-check:focus + .btn-outline-light,
.btn-outline-light:focus {
  color: #22303e;
  background-color: #e4e6e8;
  border-color: #e4e6e8;
}

.btn-check:checked + .btn-outline-light,
.btn-check:active + .btn-outline-light,
.btn-outline-light:active,
.btn-outline-light.active,
.btn-outline-light.dropdown-toggle.show {
  color: #22303e !important;
  background-color: #dfe1e3 !important;
  border-color: #dfe1e3 !important;
}

.btn-outline-light.disabled,
.btn-outline-light:disabled {
  color: #dbdee0 !important;
  border-color: #dbdee0 !important;
}

.btn-outline-light .badge {
  background: #dbdee0;
  border-color: #dbdee0;
  color: #22303e;
}

.btn-outline-light:hover .badge,
.btn-outline-light:focus:hover .badge,
.btn-outline-light:active .badge,
.btn-outline-light.active .badge,
.show > .btn-outline-light.dropdown-toggle .badge {
  background: #22303e;
  border-color: #22303e;
}

.btn-text-light {
  color: #dbdee0;
}

.btn-text-light:hover {
  background: #fcfcfd;
  color: #dbdee0;
}

.btn-text-light:focus,
.btn-text-light.focus {
  color: #dbdee0;
  background: #fcfcfd;
}

.btn-text-light:active,
.btn-text-light.active,
.btn-text-light-check:checked + .btn-text-light,
:not(.btn-text-light-check) + .btn-text-light:active,
.btn-text-light:first-child:active,
.btn-text-light.show.dropdown-toggle,
.show > .btn-text-light.dropdown-toggle {
  color: #dbdee0;
  background: #fcfcfd !important;
}

.btn-text-light:disabled,
.btn-text-light.disabled {
  color: #dbdee0;
}

.btn-group .btn-text-light,
.input-group .btn-text-light {
  border-right: var(--bs-border-width) solid #dbdee0 !important;
  border-left: var(--bs-border-width) solid #dbdee0 !important;
}

.btn-group-vertical .btn-text-light {
  border-top: var(--bs-border-width) solid #dbdee0 !important;
  border-bottom: var(--bs-border-width) solid #dbdee0 !important;
}

.btn-dark {
  color: #fff;
  background-color: #2b2c40;
  border-color: #2b2c40;
  box-shadow: 0 0.125rem 0.25rem #2b2c4066;
}

.btn-dark:hover {
  color: #fff !important;
  background-color: #27283a !important;
  border-color: #27283a !important;
}

.btn-check:focus + .btn-dark,
.btn-dark:focus,
.btn-dark.focus {
  color: #fff;
  background-color: #27283a;
  border-color: #27283a;
}

.btn-check:checked + .btn-dark,
.btn-check:active + .btn-dark,
.btn-dark:active,
.btn-dark.active,
.btn-dark.show.dropdown-toggle,
.show > .btn-dark.dropdown-toggle {
  color: #fff !important;
  background-color: #27283a !important;
  border-color: #27283a !important;
}

.btn-dark.disabled,
.btn-dark:disabled {
  color: #fff !important;
  background-color: #2b2c40 !important;
  border-color: #2b2c40 !important;
}

.btn-group .btn-dark,
.input-group .btn-dark {
  border-right: var(--bs-border-width) solid #27283a;
  border-left: var(--bs-border-width) solid #27283a;
}

.btn-group-vertical .btn-dark {
  border-top-color: #27283a;
  border-bottom-color: #27283a;
}

.btn-label-dark {
  color: #2b2c40 !important;
  border-color: transparent;
  background: #dddde0;
}

.btn-label-dark:hover {
  border-color: transparent !important;
  background: #27283a !important;
  color: #fff !important;
  box-shadow: 0 0.125rem 0.25rem #2b2c4066 !important;
}

.btn-label-dark:focus,
.btn-label-dark.focus {
  color: #fff !important;
  background: #27283a;
}

.btn-label-dark:active,
.btn-label-dark.active,
.btn-label-dark.show.dropdown-toggle,
.show > .btn-label-dark.dropdown-toggle {
  color: #fff !important;
  background-color: #27283a !important;
  border-color: transparent !important;
}

.btn-label-dark.disabled,
.btn-label-dark:disabled {
  color: #2b2c40 !important;
  border-color: transparent !important;
  background: #dddde0 !important;
}

.btn-group .btn-label-dark,
.input-group .btn-label-dark {
  border-right: var(--bs-border-width) solid #bbbbc2 !important;
  border-left: var(--bs-border-width) solid #bbbbc2 !important;
}

.btn-group-vertical .btn-label-dark {
  border-top: var(--bs-border-width) solid #bbbbc2 !important;
  border-bottom: var(--bs-border-width) solid #bbbbc2 !important;
}

.btn-outline-dark {
  color: #2b2c40;
  border-color: #2b2c40;
  background: transparent;
}

.btn-outline-dark:hover {
  color: #fff !important;
  background-color: #27283a !important;
  border-color: #27283a !important;
  box-shadow: 0 0.125rem 0.25rem #2b2c4066 !important;
}

.btn-check:focus + .btn-outline-dark,
.btn-outline-dark:focus {
  color: #fff;
  background-color: #27283a;
  border-color: #27283a;
}

.btn-check:checked + .btn-outline-dark,
.btn-check:active + .btn-outline-dark,
.btn-outline-dark:active,
.btn-outline-dark.active,
.btn-outline-dark.dropdown-toggle.show {
  color: #fff !important;
  background-color: #27283a !important;
  border-color: #27283a !important;
}

.btn-outline-dark.disabled,
.btn-outline-dark:disabled {
  color: #2b2c40 !important;
  border-color: #2b2c40 !important;
}

.btn-outline-dark .badge {
  background: #2b2c40;
  border-color: #2b2c40;
  color: #fff;
}

.btn-outline-dark:hover .badge,
.btn-outline-dark:focus:hover .badge,
.btn-outline-dark:active .badge,
.btn-outline-dark.active .badge,
.show > .btn-outline-dark.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
}

.btn-text-dark {
  color: #2b2c40;
}

.btn-text-dark:hover {
  background: #eeeef0;
  color: #2b2c40;
}

.btn-text-dark:focus,
.btn-text-dark.focus {
  color: #2b2c40;
  background: #eeeef0;
}

.btn-text-dark:active,
.btn-text-dark.active,
.btn-text-dark-check:checked + .btn-text-dark,
:not(.btn-text-dark-check) + .btn-text-dark:active,
.btn-text-dark:first-child:active,
.btn-text-dark.show.dropdown-toggle,
.show > .btn-text-dark.dropdown-toggle {
  color: #2b2c40;
  background: #eeeef0 !important;
}

.btn-text-dark:disabled,
.btn-text-dark.disabled {
  color: #2b2c40;
}

.btn-group .btn-text-dark,
.input-group .btn-text-dark {
  border-right: var(--bs-border-width) solid #2b2c40 !important;
  border-left: var(--bs-border-width) solid #2b2c40 !important;
}

.btn-group-vertical .btn-text-dark {
  border-top: var(--bs-border-width) solid #2b2c40 !important;
  border-bottom: var(--bs-border-width) solid #2b2c40 !important;
}

.btn-gray {
  color: #fff;
  background-color: #22303e80;
  border-color: #22303e80;
  box-shadow: 0 0.125rem 0.25rem #22303e66;
}

.btn-gray:hover {
  color: #fff !important;
  background-color: #1a242f8c !important;
  border-color: #1a242f8c !important;
}

.btn-check:focus + .btn-gray,
.btn-gray:focus,
.btn-gray.focus {
  color: #fff;
  background-color: #1a242f8c;
  border-color: #1a242f8c;
}

.btn-check:checked + .btn-gray,
.btn-check:active + .btn-gray,
.btn-gray:active,
.btn-gray.active,
.btn-gray.show.dropdown-toggle,
.show > .btn-gray.dropdown-toggle {
  color: #fff !important;
  background-color: #1a242f8c !important;
  border-color: #1a242f8c !important;
}

.btn-gray.disabled,
.btn-gray:disabled {
  color: #fff !important;
  background-color: #22303e80 !important;
  border-color: #22303e80 !important;
}

.btn-group .btn-gray,
.input-group .btn-gray {
  border-right: var(--bs-border-width) solid rgba(26, 36, 47, 0.55);
  border-left: var(--bs-border-width) solid rgba(26, 36, 47, 0.55);
}

.btn-group-vertical .btn-gray {
  border-top-color: #1a242f8c;
  border-bottom-color: #1a242f8c;
}

.btn-label-gray {
  color: #22303e80 !important;
  border-color: transparent;
  background: #f2f3f3eb;
}

.btn-label-gray:hover {
  border-color: transparent !important;
  background: #1a242f8c !important;
  color: #fff !important;
  box-shadow: 0 0.125rem 0.25rem #22303e66 !important;
}

.btn-label-gray:focus,
.btn-label-gray.focus {
  color: #fff !important;
  background: #1a242f8c;
}

.btn-label-gray:active,
.btn-label-gray.active,
.btn-label-gray.show.dropdown-toggle,
.show > .btn-label-gray.dropdown-toggle {
  color: #fff !important;
  background-color: #1a242f8c !important;
  border-color: transparent !important;
}

.btn-label-gray.disabled,
.btn-label-gray:disabled {
  color: #22303e80 !important;
  border-color: transparent !important;
  background: #f2f3f3eb !important;
}

.btn-group .btn-label-gray,
.input-group .btn-label-gray {
  border-right: var(--bs-border-width) solid rgba(225, 227, 229, 0.84) !important;
  border-left: var(--bs-border-width) solid rgba(225, 227, 229, 0.84) !important;
}

.btn-group-vertical .btn-label-gray {
  border-top: var(--bs-border-width) solid rgba(225, 227, 229, 0.84) !important;
  border-bottom: var(--bs-border-width) solid rgba(225, 227, 229, 0.84) !important;
}

.btn-outline-gray {
  color: #22303e80;
  border-color: #22303e80;
  background: transparent;
}

.btn-outline-gray:hover {
  color: #fff !important;
  background-color: #1a242f8c !important;
  border-color: #1a242f8c !important;
  box-shadow: 0 0.125rem 0.25rem #22303e66 !important;
}

.btn-check:focus + .btn-outline-gray,
.btn-outline-gray:focus {
  color: #fff;
  background-color: #1a242f8c;
  border-color: #1a242f8c;
}

.btn-check:checked + .btn-outline-gray,
.btn-check:active + .btn-outline-gray,
.btn-outline-gray:active,
.btn-outline-gray.active,
.btn-outline-gray.dropdown-toggle.show {
  color: #fff !important;
  background-color: #1a242f8c !important;
  border-color: #1a242f8c !important;
}

.btn-outline-gray.disabled,
.btn-outline-gray:disabled {
  color: #22303e80 !important;
  border-color: #22303e80 !important;
}

.btn-outline-gray .badge {
  background: #22303e80;
  border-color: #22303e80;
  color: #fff;
}

.btn-outline-gray:hover .badge,
.btn-outline-gray:focus:hover .badge,
.btn-outline-gray:active .badge,
.btn-outline-gray.active .badge,
.show > .btn-outline-gray.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
}

.btn-text-gray {
  color: #22303e80;
}

.btn-text-gray:hover {
  background: #f9f9faf5;
  color: #22303e80;
}

.btn-text-gray:focus,
.btn-text-gray.focus {
  color: #22303e80;
  background: #f9f9faf5;
}

.btn-text-gray:active,
.btn-text-gray.active,
.btn-text-gray-check:checked + .btn-text-gray,
:not(.btn-text-gray-check) + .btn-text-gray:active,
.btn-text-gray:first-child:active,
.btn-text-gray.show.dropdown-toggle,
.show > .btn-text-gray.dropdown-toggle {
  color: #22303e80;
  background: #f9f9faf5 !important;
}

.btn-text-gray:disabled,
.btn-text-gray.disabled {
  color: #22303e80;
}

.btn-group .btn-text-gray,
.input-group .btn-text-gray {
  border-right: var(--bs-border-width) solid rgba(34, 48, 62, 0.5) !important;
  border-left: var(--bs-border-width) solid rgba(34, 48, 62, 0.5) !important;
}

.btn-group-vertical .btn-text-gray {
  border-top: var(--bs-border-width) solid rgba(34, 48, 62, 0.5) !important;
  border-bottom: var(--bs-border-width) solid rgba(34, 48, 62, 0.5) !important;
}

.btn-done {
  color: #fff;
  background-color: #009688;
  border-color: #009688;
  box-shadow: 0 0.125rem 0.25rem #00968845;
}

.btn-done:hover {
  color: #fff !important;
  background-color: #007066 !important;
  border-color: #007066 !important;
}

.btn-check:focus + .btn-done,
.btn-done:focus,
.btn-done.focus {
  color: #fff;
  background-color: #007066;
  border-color: #007066;
}

.btn-outline-done {
  color: #007066;
  border-color: #007066;
  background: transparent;
  box-shadow: none;
}

.btn-outline-done:hover {
  color: #fff !important;
  background-color: #007066 !important;
  border-color: #007066 !important;
  box-shadow: 0 0.125rem 0.25rem #00706666 !important;
}

.btn-check:focus + .btn-outline-done,
.btn-outline-done:focus {
  color: #fff;
  background-color: #007066;
  border-color: #007066;
}

.btn-check:checked + .btn-outline-done,
.btn-check:active + .btn-outline-done,
.btn-outline-done:active,
.btn-outline-done.active,
.btn-outline-done.dropdown-toggle.show {
  color: #fff !important;
  background-color: #007066 !important;
  border-color: #007066 !important;
}
